| Irrlicht 3D Engine |

Public Member Functions
irr::scene::ISceneLoader Class Reference

Class which can load a scene into the scene manager. More...

`#include <ISceneLoader.h>`

Inheritance diagram for irr::scene::ISceneLoader:

List of all members.

## Public Member Functions

- virtual bool isALoadableFileExtension (const io::path &filename) const =0
    Returns true if the class might be able to load this file.
- virtual bool isALoadableFileFormat (io::IReadFile *file) const =0
    Returns true if the class might be able to load this file.
- virtual bool loadScene (io::IReadFile *file, ISceneUserDataSerializer *userDataSerializer=0, ISceneNode *rootNode=0)=0
    Loads the scene into the scene manager.

## Detailed Description

Class which can load a scene into the scene manager.

If you want Irrlicht to be able to load currently unsupported scene file formats (e.g. .vrml), then implement this and add your new Sceneloader to the engine with ISceneManager::addExternalSceneLoader().

Definition at line 26 of file ISceneLoader.h.

## Member Function Documentation

virtual bool irr::scene::ISceneLoader::isALoadableFileExtension | ( | const io::path & | filename | ) | const`[pure virtual]`

Returns true if the class might be able to load this file.

This decision should be based on the file extension (e.g. ".vrml") only.

Parameters:

  filename | Name of the file to test.

Returns:
  True if the extension is a recognised type.

virtual bool irr::scene::ISceneLoader::isALoadableFileFormat | ( | io::IReadFile * | file | ) | const`[pure virtual]`

Returns true if the class might be able to load this file.

This decision will be based on a quick look at the contents of the file.

Parameters:

  file | The file to test.

Returns:
  True if the extension is a recognised type.

virtual bool irr::scene::ISceneLoader::loadScene | ( | io::IReadFile * | file,
|  | ISceneUserDataSerializer * | userDataSerializer = `0`,
|  | ISceneNode * | rootNode = `0`
| ) |  | `[pure virtual]`

Loads the scene into the scene manager.

Parameters:

  file | File which contains the scene.
  userDataSerializer,: | If you want to load user data which may be attached to some some scene nodes in the file, implement the ISceneUserDataSerializer interface and provide it as parameter here. Otherwise, simply specify 0 as this parameter.
  rootNode | The node to load the scene into, if none is provided then the scene will be loaded into the root node.

Returns:
  Returns true on success, false on failure. Returns 0 if loading failed.

The documentation for this class was generated from the following file:

- ISceneLoader.h